gr::dab::prune Class Reference

`#include <prune.h>`

Inheritance diagram for gr::dab::prune:
[legend]

## Public Types

typedef std::shared_ptr< prune > | sptr

## Static Public Member Functions

static sptr | make (size_t itemsize, unsigned int length, unsigned int prune_start, unsigned int prune_end)
| Return a shared_ptr to a new instance of dab::prune.

## Detailed Description

cuts bits of start and end of a stream sequence

## Member Typedef Documentation

## sptr

typedef std::shared_ptr<prune> gr::dab::prune::sptr

## Member Function Documentation

## make()

sptr gr::dab::prune::make | ( | size_t | itemsize,
|  | unsigned int | length,
|  | unsigned int | prune_start,
|  | unsigned int | prune_end )

static

Return a shared_ptr to a new instance of dab::prune.

To avoid accidental use of raw pointers, dab::prune's constructor is in a private implementation class. dab::prune::make is the public interface for creating new instances.

The documentation for this class was generated from the following file:

- prune.h